/*
SIGNATURE API

Testing InsignAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package signaturesapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/signaturesapi"
)

func Test_signaturesapi_InsignAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test InsignAPIService CreateInsignConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.InsignAPI.CreateInsignConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test InsignAPIService DeleteInsignConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		httpRes, err := apiClient.InsignAPI.DeleteInsignConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test InsignAPIService GetInsignConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.InsignAPI.GetInsignConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
